Threads

## Macros

#define | __itt_thread_set_name __itt_thread_set_nameA
#define | __itt_thread_set_name_ptr __itt_thread_set_nameA_ptr

## Functions

void ITTAPI | __itt_thread_set_nameA (const char *name)
| Sets thread name of calling thread. More...
void ITTAPI | __itt_thread_set_nameW (const wchar_t *name)

## Detailed Description

Give names to threads

## Macro Definition Documentation

## __itt_thread_set_name

#define __itt_thread_set_name __itt_thread_set_nameA

Definition at line 445 of file ittnotify.h.

## __itt_thread_set_name_ptr

#define __itt_thread_set_name_ptr __itt_thread_set_nameA_ptr

Definition at line 446 of file ittnotify.h.

## Function Documentation

## __itt_thread_set_nameA()

void ITTAPI __itt_thread_set_nameA | ( | const char * | name | ) |

Sets thread name of calling thread.

Parameters

  [in] | name | - name of thread

## __itt_thread_set_nameW()

void ITTAPI __itt_thread_set_nameW | ( | const wchar_t * | name | ) |

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.